## Configurations

- [Neovim Nightly](https://github.com/neovim/neovim)
- ~[Kitty](https://github.com/kovidgoyal/kitty)~ Replaced by wezterm
- [Wezterm](https://github.com/wez/wezterm)
- [Fish Shell](https://github.com/fish-shell/fish-shell)
- More

## Fonts

You will have to install the fonts I use in these dotfiles separately

- [ttf-jetbrains-mono-nerd](https://github.com/ryanoasis/nerd-fonts)

## Programs used

- [ripgrep](https://github.com/BurntSushi/ripgrep) (used by nvim)
- [exa](https://github.com/ogham/exa) (ls replacement used by fish)

## Usage

- Clone the repository (e.g into `~/.dotfiles`)
```
git clone https://git.papadakis.xyz/dotfiles/ ~/.dotfiles
cd ~/dotfiles
```

- For automated dotfile linking use [just](https://github.com/casey/just)

```
just add fish
just add nvim
just add wezterm
```

- Or, manually link the directory you need

```
ln -s ~/.dotfiles/fish ~/.config/fish
ln -s ~/.dotfiles/nvim ~/.config/nvim
ln -s ~/.dotfiles/wezterm ~/.config/wezterm
```
